{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "c46228bd",
   "metadata": {},
   "outputs": [],
   "source": [
    "code=\"addParam(\\\"txt\\\", txt)\\nresult = False\\nif(None, None, `txt == \\\"\\\" or txt == None`)\\n    result = False\\nelse()\\n    replace(txt, \\\",\\\", \\\" \\\", txt_clean)\\n    last_word = txt_clean.split()[-1] if txt_clean.split() else \\\"\\\"\\n    getListLen(last_word, last_len)\\n    if(None, None, `last_len == 1 and last_word.lower() >= \\\"a\\\" and last_word.lower() <= \\\"z\\\"`)\\n        result = True\\n    else()\\n        result = False\\n    end()\\nend()\\naddResult(result)\\n_status = 200\""
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "91c20032",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "addParam(\"txt\", txt)\n",
      "result = False\n",
      "if(None, None, `txt == \"\" or txt == None`)\n",
      "    result = False\n",
      "else()\n",
      "    replace(txt, \",\", \" \", txt_clean)\n",
      "    last_word = txt_clean.split()[-1] if txt_clean.split() else \"\"\n",
      "    getListLen(last_word, last_len)\n",
      "    if(None, None, `last_len == 1 and last_word.lower() >= \"a\" and last_word.lower() <= \"z\"`)\n",
      "        result = True\n",
      "    else()\n",
      "        result = False\n",
      "    end()\n",
      "end()\n",
      "addResult(result)\n",
      "_status = 200\n"
     ]
    }
   ],
   "source": [
    "print(code)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "64d5e9d4",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "assistance-engine",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.11"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
